[![Deploy with Vercel](https://vercel.com/button)](https://vercel.com/new/clone?repository-url=https%3A%2F%2Fgithub.com%2Fvercel%2Fcommerce&project-name=commerce&repo-name=commerce&demo-title=Next.js%20Commerce&demo-url=https%3A%2F%2Fdemo.vercel.store&demo-image=https%3A%2F%2Fbigcommerce-demo-asset-ksvtgfvnd.vercel.app%2Fbigcommerce.png&env=SHOPIFY_STOREFRONT_ACCESS_TOKEN,SHOPIFY_STORE_DOMAIN,SHOPIFY_REVALIDATION_TOKEN)

# Next.js Commerce

Next.js 13 and App Router-ready ecommerce template, built with Shopify and Tailwind CSS.

Demo live at: [demo.vercel.store](https://demo.vercel.store/)

## Running Locally

```bash
pnpm install
pnpm dev
```

If your project was started with a "Deploy with Vercel" button, you can use Vercel's CLI to retrieve these credentials.

1. Install Vercel CLI: `npm i -g vercel`
2. Link local instance with Vercel and Github accounts (creates .vercel file): `vercel link`
3. Download your environment variables: `vercel env pull .env.local`

## Features

- Next.js App Router
- Optimized for SEO
- Styling with Tailwind CSS
- Checkout/Cart with Shopify
- Themeing with System (Light/Dark Mode) Support